Package Details: twinkle-qt5 1.10.2-3

Git Clone URL: https://aur.archlinux.org/twinkle-qt5.git (read-only, click to copy)
Package Base: twinkle-qt5
Description: Softphone for voice over IP and IM communication using SIP
Upstream URL: http://www.twinklephone.com/
Licenses: GPL
Submitter: tredaelli
Maintainer: malus
Last Packager: malus
Votes: 8
Popularity: 0.113039
First Submitted: 2015-08-18 22:00
Last Updated: 2020-01-14 06:47

Latest Comments

1 2 Next › Last »

malus commented on 2020-01-14 06:40

@City-busz I had this in mind, but wanted to help :/ Will remove it again, sorry.

City-busz commented on 2020-01-14 00:02

@malus: you should not add packages to makedepends that part of base-devel. See: https://wiki.archlinux.org/index.php/Makepkg#Usage

malus commented on 2020-01-13 19:37

@mr_ersatz You are right anyways, it uses those dependencies. I use fresh archroot for my builds, but with base-devel which includes those packages already. I added them as make dependency.

malus commented on 2020-01-13 19:15

@mr_ersatz I can build it without those dependencies and therefore would not like to add them. But I will double check tomorrow, as my last build was from 23th December.

mr_ersatz commented on 2020-01-13 17:54

I had to install flex and bison packages to get this to build. Might want to add those to dependencies.

insatiable_kin commented on 2019-05-19 07:59

Fails to build due to broken dependency on libzrtpcpp

libzrtpcpp build from aur is broken preventing twinkle from being built.

ejKDE commented on 2018-10-11 12:32

@Maniaxx

Solved. The bug was fixed long ago and merged to master, unfortunately aur pkbuild file uses tag, so you're stuck with non fixed version.

Just change this and you're good to go, everything works:

from: source=("git+https://github.com/LubosD/$_pkgname.git#tag=v${pkgver}")

to: source=("git+https://github.com/LubosD/$_pkgname.git")

Maniaxx commented on 2018-08-15 22:48

Doesn't find ucommon 7.0.0. Can be manually installed though. But then this comes up:

/tmp/makepkg/twinkle-qt5/src/twinkle/src/gui/getprofilenameform.cpp: In member function 'void GetProfileNameForm::init()':
/tmp/makepkg/twinkle-qt5/src/twinkle/src/gui/getprofilenameform.cpp:36:36: error: expected type-specifier before 'QRegExpValidator'
  profileLineEdit->setValidator(new QRegExpValidator(rxFilenameChars, this));
                                    ^~~~~~~~~~~~~~~~
make[2]: *** [src/gui/CMakeFiles/twinkle.dir/build.make:690: src/gui/CMakeFiles/twinkle.dir/getprofilenameform.cpp.o] Error 1
make[2]: *** Waiting for unfinished jobs....
make[1]: *** [CMakeFiles/Makefile2:904: src/gui/CMakeFiles/twinkle.dir/all] Error 2
make: *** [Makefile:130: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
:: Unable to build twinkle-qt5 - makepkg exited with code: 4

City-busz commented on 2018-02-08 17:27

@tredaelli: Please replace the twinkle package with this one, and then I'll merge this package into it.

schulmar commented on 2017-06-28 10:28

Thanks for the swift response. After the update of ucommon I got following errors when building libzrtpcpp during the installation of twinkle-qt5:

/usr/bin/ld: warning: libcommoncpp.so.7, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/7.1.1/../../../../lib/libccrtp.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: warning: libucommon.so.7, needed by /usr/lib/gcc/x86_64-pc-linux-gnu/7.1.1/../../../../lib/libccrtp.so, not found (try using -rpath or -rpath-link)
/usr/lib/gcc/x86_64-pc-linux-gnu/7.1.1/../../../../lib/libccrtp.so: undefined reference to `ucommon::ThreadLock::access(unsigned long)'

After reinstalling ccrtp they vanished and twinkle works again.